package forms

// UpdatePlayerBaseReq 更新玩家金币、钻石、 经验、体力、精力、天赋点
type UpdatePlayerBaseReq struct {
	PlayeridReq
	Exp         int `json:"userExp"`
	Stamina     int `json:"stamina"`
	Energy      int `json:"energy"`
	TalentPoint int `json:"talentPoint"`
	Coin        int `json:"coin"`
	Diamond     int `json:"diamond"`
}

// UpdateTalentReq 更新天赋
type UpdateTalentReq struct {
	PlayeridReq
	TalentInfo map[int]int `json:"talent_info" form:"talent_info"`
}

// UpdateChapterReq 更新关卡
type UpdateChapterReq struct {
	PlayeridReq
	OneFull      bool     `json:"one_pass"`
	OneEmpty     bool     `json:"one_empty"`
	PassChapters []string `json:"pass_chapters"`
}

// UpdateGuidesReq 更新引导
type UpdateGuidesReq struct {
	PlayeridReq
	Guides []int `json:"guides"`
}

// DelRankReq 删除玩家排行榜
type DelRankReq struct {
	UserID   int64 `json:"user_id"  form:"user_id"`
	RankType int   `json:"rankType"  form:"rankType"`
	ServerId int   `json:"server_id"  form:"server_id"`
}

type GetBalanceReq struct {
	UserID int64 `json:"player_id"  form:"player_id"`
}

// MsdBalanceReq 米大师查余额
type MsdBalanceReq struct {
	UserID int64 `json:"userId"  form:"userId"`
}

// MsdSettleReq 米大师平账
type MsdSettleReq struct {
	UserID  int64  `json:"userId"  form:"userId"`
	Balance int    `json:"balance"  form:"balance"`
	Remark  string `json:"remark"  form:"remark"`
	OpenId  string `json:"openid" form:"openid"`
}

// EditServerDateReq 米大师查余额
type EditServerDateReq struct {
	Date string `json:"date"  form:"date"`
}

// ReleaseVersionReq 提审发版
type ReleaseVersionReq struct {
	Index   int    `json:"index"  form:"index"`
	Version string `json:"version"  form:"version"`
}

// GetVersionIndexReq 获取版本索引
type GetVersionIndexReq struct {
	Version string `json:"version"  form:"version"`
}
