package model

// 宝物表-Treasure exported from 宝物配置.xlsx
type Treasure struct {
	Uid     int64  `json:"Uid"`     // 宝物ID
	Name    string `json:"Name"`    // 名称
	Des     string `json:"Des"`     // 描述
	Quality int64  `json:"Quality"` // 品质
	Res     string `json:"Res"`     // 资源
	UpAtt   int64  `json:"UpAtt"`   // 升级属性
} // package model

// 宝物升级表-TreasureUp exported from 宝物配置.xlsx
type TreasureUp struct {
	Uid       int64     `json:"Uid"`       // ID
	Type      int64     `json:"Type"`      // 升级类型
	Lv        int64     `json:"Lv"`        // 等级
	Condition int64     `json:"Condition"` // 宝物自身星级
	PAnt      float64   `json:"PAnt"`      // 升级属性  [攻击加成]
	ConsumeUp [][]int64 `json:"ConsumeUp"` // 升级消耗
} // package model

// 宝物生星表-TreasureStar exported from 宝物配置.xlsx
type TreasureStar struct {
	Uid         int64     `json:"Uid"`         // 唯一ID
	TreasureId  int64     `json:"TreasureId"`  // 宝物ID
	StarLv      int64     `json:"StarLv"`      // 星级
	SkillType   int64     `json:"SkillType"`   // 技能效果
	Des         string    `json:"Des"`         // 技能描述
	Att         []float64 `json:"Att"`         // 属性
	TreasureNum int64     `json:"TreasureNum"` // 宝物消耗数量
	ConsumeUp   []int64   `json:"ConsumeUp"`   // 本级升星消耗 [道具ID,数量]
}
