package msg

import (
	"leafstalk/covenant/model"
)

type StoreSummary struct {
	PlayerId   int64  `json:"userId"`
	ClientPlat string `json:"clientPlat"`
}

type ResponseStoreSummary struct {
	ErrCode int               `json:"errCode"`
	Msg     string            `json:"msg,omitempty"`
	Data    *StoreSummaryData `json:"data"`
}

type StoreSummaryData struct {
	Buys    map[int64]int                 `json:"dailyBuys"` //已购商品
	Refresh map[int64]*model.RefreshGoods `json:"refresh"`   //商品ID列表
}

// BuyItem gou
type BuyItem struct {
	PlayerId   int64  `json:"userId"`
	PayType    int64  `json:"payType"`
	GoodsId    int64  `json:"id"`
	Num        int64  `json:"num"`
	ClientPlat string `json:"clientPlat"`
}

// type TreasureLevelUpData struct{}

type ResponseBuyItem struct {
	ErrCode int    `json:"errCode"`
	Msg     string `json:"msg,omitempty"`
	Data    int    `json:"data"`
}

// 创建订单
type NewOrder struct {
	PlayerId   int64  `json:"userId"`
	Platform   int    `json:"platform"` //微信：1； 抖音：2; quick: 3;
	GoodsId    int64  `json:"goodsId"`
	PayMethod  int    `json:"midasPay"` //0：苹果游戏外微信支付 1:安卓游戏内支付 2：安卓游戏外微信支付 3:苹果游戏内支付
	Level      int    `json:"level"`
	OpenId     string `json:"openId"`
	ClientPlat string `json:"clientPlat"`
}

type ResponseNewOrder struct {
	ErrCode int           `json:"errCode"`
	Msg     string        `json:"msg,omitempty"`
	Data    *NewOrderData `json:"data"`
}

type NewOrderData struct {
	OrderID string `json:"orderID"`
	Url     string `json:"callUrl"`
}

// 取消订单
type CancleOrder struct {
	PlayerID   int64  `json:"userId"`
	OrderID    string `json:"orderID"`
	Platform   int    `json:"platform"` // 购买平台 微信：1； 抖音：2 quick 3
	ClientPlat string `json:"clientPlat"`
}

type ResponseCancleOrder struct {
	ErrCode int    `json:"errCode"`
	Data    string `json:"data"`
}

type QueryOrder struct {
	PlayerID int64  `json:"userId"`
	OrderID  string `json:"orderID"`
	MidasPay int    `json:"midasPay"`
}

// type ResponseQueryOrder struct {
// 	ErrCode int `json:"errCode"`
// 	//Data    *PayBuyData `json:"data"`
// }

type AndroidPayedNotify struct {
	GoodsID int64  `json:"goodsId"`
	OrderID string `json:"orderID"`
}

// 支付购买
type PayBuy struct {
	PlayerID   int64  `json:"userId"`
	Platform   int    `json:"platform"` // 购买平台 微信：1； 抖音：2 quick 3
	GoodsID    int64  `json:"goodsId"`
	OrderID    string `json:"orderID"`
	Level      int    `json:"level"`
	Num        int64  `json:"num"` //发送本消息次数
	ClientPlat string `json:"clientPlat"`
}

// ItemBuy 游戏内通过货币购买道具
type ItemBuy struct {
	PlayerID int64 `json:"userId"`
	ItemID   int64 `json:"itemId"` // 道具id
	Num      int64 `json:"num"`    // 购买数量
}

type ItemBuyData struct {
	Cost map[int64]int64 `json:"cost"` // 消耗
	Gets map[int64]int64 `json:"gets"` // 得到
}

type ResponseItemBuy struct {
	ErrCode int          `json:"errCode"`
	Msg     string       `json:"msg,omitempty"`
	Data    *ItemBuyData `json:"data"`
}

// type ResponsePayBuy struct {
// 	ErrCode int         `json:"errCode"`
// 	Msg     string      `json:"msg,omitempty"`
// 	Data    *PayBuyData `json:"data"`
// }

// type PayBuyData struct {
// 	GoodsId    int64                  `json:"goodsId"`
// 	Diamond    int                    `json:"diamond"`
// 	Materials  []*model.DropMaterial  `json:"materials"`
// 	Equipments []*model.DropEquipment `json:"equipments"`
// 	Buffs      *VipBuffData           `json:"buffs"`
// }

// // TreasureStarUp 升星
// type TreasureStarUp struct {
// 	PlayerId int64 `json:"userId"`
// 	Id       int64 `json:"id"`
// }

// type TreasureStarUpData struct{}

// type ResponseTreasureStarUp struct {
// 	ErrCode int                  `json:"errCode"`
// 	Msg     string               `json:"msg,omitempty"`
// 	Data    *TreasureLevelUpData `json:"data"`
// }
