package msg

type RestoreStamina struct {
	PlayerID int64 `json:"userId"`
}

type ResponseRestoreStamina struct {
	ErrCode int                 `json:"errCode"`
	Msg     string              `json:"msg,omitempty"`
	Data    *RestoreStaminaData `json:"data"`
}

type RestoreStaminaData struct {
	Stamina      int64 `json:"stamina"`
	MaxStama     int64 `json:"maxStama"`
	CoolDown     int   `json:"cd"`
	DiamondCount int   `json:"diamondCount"`
	AdCount      int   `json:"adCount"`
}

type BuyStamina struct {
	PlayerID int64 `json:"userId"`
	CostType int   `json:"type"`
}

type ResponseBuyStamina struct {
	ErrCode int             `json:"errCode"`
	Msg     string          `json:"msg,omitempty"`
	Data    *BuyStaminaData `json:"data"`
}

type BuyStaminaData struct {
	Stamina      int64           `json:"stamina"`
	AdCount      int             `json:"adCount"`
	DiamondCount int             `json:"diamondCount"`
	Cost         map[int64]int64 `json:"cost"`
	CostType     int             `json:"costType"`
	Materials    map[int64]int64 `json:"materials"`
}

type RestoreEnergy struct {
	PlayerID int64 `json:"userId"`
}

type ResponseRestoreEnergy struct {
	ErrCode int                `json:"errCode"`
	Msg     string             `json:"msg,omitempty"`
	Data    *RestoreEnergyData `json:"data"`
}

type RestoreEnergyData struct {
	Energy       int64 `json:"energy"`
	MaxEnergy    int64 `json:"maxEnergy"`
	CoolDown     int   `json:"cd"`
	DiamondCount int   `json:"diamondCount"`
	AdCount      int   `json:"adCount"`
}

type BuyEnergy struct {
	PlayerID int64 `json:"userId"`
	CostType int   `json:"type"`
}

type ResponseBuyEnergy struct {
	ErrCode int            `json:"errCode"`
	Msg     string         `json:"msg,omitempty"`
	Data    *BuyEnergyData `json:"data"`
}

type BuyEnergyData struct {
	Energy       int64           `json:"energy"`
	AdCount      int             `json:"adCount"`
	DiamondCount int             `json:"diamondCount"`
	Cost         map[int64]int64 `json:"cost"`
	CostType     int             `json:"costType"`
	Materials    map[int64]int64 `json:"materials"`
}
